Create Lead: ResMan
https://api.propexo.com/v1/leads/resman/| Interface | Method |
|---|---|
| Lead Management | /MITS/PostLeadManagement4_0 |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead source
The Propexo unique identifier for the employee
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the floor plan
The first name associated with the lead
The last name associated with the lead
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number. This will default to HOME if not provided
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the lead
Type of the secondary phone number. This will default to MOBILE if not provided
Show 4 enum values
FAXHOMEMOBILEWORKThe city associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The state associated with the lead
The zip code associated with the lead
Notes associated with the lead
The desired number of bedrooms
Possible values: >= 0
The desired number of bathrooms
Possible values: >= 0
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The amount of months for the lease term
Possible values: >= 0
The target move in date associated with the lead
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead source
The Propexo unique identifier for the employee
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the floor plan
The first name associated with the lead
The last name associated with the lead
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number. This will default to HOME if not provided
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the lead
Type of the secondary phone number. This will default to MOBILE if not provided
Show 4 enum values
FAXHOMEMOBILEWORKThe city associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The state associated with the lead
The zip code associated with the lead
Notes associated with the lead
The desired number of bedrooms
Possible values: >= 0
The desired number of bathrooms
Possible values: >= 0
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The amount of months for the lease term
Possible values: >= 0
The target move in date associated with the lead
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leads/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"property_id": "string",
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"notes": "string",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_lease_term_in_months": 0,
"target_move_in_date": "2024-07-29T15:51:28.071Z"
}
}